index

EditTools User Guide

INDEX

  • System requirements
  • Installation
  • ET Main Dialog
  • ET Polyline
    • Clean polyline theme
    • Generalize Densify Smooth Flip
    • Build Polygon
    • Adjust
    • Edge Match
    • Other global polyline functions
    • Polyline Edit Tools Dialog - local editing functions
    • Attribute tools
  • The concept of Polygon Editing used In EditTools
  • ET Polygon
    • Clean polygon theme
    • Eliminate
    • Clean gaps
    • Dissolve
    • Advanced merge
    • Other global polygon functions
    • Polygon Edit Tools Dialog - local editing functions
    • Attribute tools
  • ET Cogo
  • ET Surface
  • ET Geoprocessing
  • ET Convert
  • ET Miscellaneous
  • Dictionary


System Requirements

  • Windows NT, 95, 98, 2000, XP (Not tested under UNIX)
  • ArcView 3.0 or higher
  • Version for ArcView 3.0 or 3.0a is available, but some of the functions are not available:
    • All surface functions
    • All conversion functions involving Z or M feature types
    • Adjust
    • Draw ellipse
  • Uses Dialog Designer (Requires avdlog.dll and avdlog.dat)


Instalation

Installation:

  • unzip et35.zip
  • place et35.avx in your esri\av_gisXX\arcview\ext32 directory
  • If you don't have Dialog Designer extension:
    • Place avdlg.dll in esri\av_gisXX\arcview\bin32 directory
    • Place avdlg.dat in esri\av_gisXX\arcview\lib32 directory
  • In ArcView's Project window go to File/Extensions..., locate Edit Tools (ver3.5) and check the check box
  • Now in you View Button Bar you will have one new Button etbut1.gif (969 bytes). If you have many View GUIs you will be asked in which of them you want ET to work.. The button will be available in each of selected GUIs.

Note: EditTools 3.5 comes in three different versions:

  • For ArcView 3.2 and above
  • For ArcView 3.1 - minor differences with the version for ArcView 3.2
  • For ArcView 3.0 - all the functions dealing with shapesZ(M) are not available. Draw ellipse and ellipse donut tools are not available.

Please select the version that is appropriate for your ArcView installation


Main Dialog

ET Main Dialog

4032001ETMain.jpg (16915 bytes) etbut1.gif (969 bytes) Button introduces EditTools main dialog
  • EDIT THEME button initiates an editing session. If you have editable theme in the View ET Polyline or ET Polygon Dialog will be introduced depending on the type of the editable theme . If you don't have editable theme a list of the available themes in the View will be introduced to select theme to edit.
  • SURFACE FUNCTIONS button opens ET Surface Dialog. Note: Not available with the version for ArcView 3.0
  • GEOPROCESSING button opens ET Geoprocessing Dialog
  • CONVERT button introduces ET Convert Dialog
  • MISCELLANEOUS button opens ET Miscellaneous Dialog


ET Polyline

3004etpolyline.jpg (20022 bytes) NOTES:
  • EditTools allows user control over the way the attributes are updated when polylines are split or merged. In order to ensure that the attributes are updated appropriately go to THEME/PROPERTIES/EDITING and adjust the values in the Attribute Updating panel.
  • IMPORTANT See discussion about Fuzzy Tolerance
  • The UNITS used are the map units of the current VIEW
  • Minimize/Maximize button is provided to allow the user to free some screen space when the global functions are not in use.

New Features:

  • Export Nodes function available directly on ET Polyline dialog. Can be used out of an editing session.
  • Current Theme Button - Sets the theme to be edited. The label of this Button shows the name of current theme
  • Fuzzy Tolerance Button - see Discussion opens the Fuzzy Tolerance Dialog gtdialog1.jpg (9009 bytes) the user can specify the tolerance to be used. The value of the tolerance should be between MIN and Max values shown on the dialog. Reset Buttons sets the tolerance to the default value. OK Button accepts the user input.
  • Start Editing Button - toggles editing the Current Theme
  • Save Button - Saves the edits
  • Save As Button - Saves the Current Theme as new theme. The new theme becomes Current
  • Show Edit Tools Button - toggles Edit Tools Dialog
  • Clean - Introduces Clean Dialog. Performs check for multipart Polylines and if present converts them to single part ones. Saves the single part theme to the disk. (Always keep a copy of your original theme.). See Clean Dialog
  • G__D__S__F - Introduces Generalize__Densify__Smooth__Flip Dialog
  • Edge Match - Opens Edge Match Dialog
  • Adjust - Introduces Adjust Dialog
  • Renode - Creates unique ID numbers for polylines and renumbers the nodes for each polyline. If not available, creates three new fields ET_Id, ET_FNode, ET_TNode and populates them.
  • Build Polygons - Enabled only when the current theme is not edited. Builds polygon theme from the current theme.
    • The theme must be clean.
    • All the dangling polylines will be considered as non Polygon elements and will be excluded.
    • If a point theme (Label points) with attributes is available it can be used to attach these attributes to the newly created polygon theme.
    • Each polygon should have ONE and only ONE label.
  • Split with theme - User selects a split theme(polygon, polyline or point). The selected features of the split theme are used to split the features of the current edit theme. The attributes are updated according user defined attribute split rules. NOTE: If the split theme is of Point type a snap tolerance is required.
  • Split In Vertices - Splits selected polylines (all polylines if there is no selection) in all the vertices. Converts the polylines to single segmented polylines (lines). The attributes are updated according to the user defined attribute update rules.
  • Polyline To Point - Export polyline theme to point theme. Exports the selected features only.
    • Export nodes, vertices, center of segments or the middle point of the polylines.
    • Write the segment bearings to the point attribute table. If export Vertices option is selected the user have to select the vertex (start or end of the polyline segment) to be used for assigning the segment bearing to the point.
Start Vertex | End Vertex
29102000start.jpg (4454 bytes) | 29102000end.jpg (4580 bytes)

Allows rotating the point symbols with the bearing of the pertaining line segments

  • Attributes from Points - allows transferring the attributes from a point theme to the current polyline theme. The user has to input search tolerance. The attributes of the closest point to a specific polyline (within the search tolerance) are transferred. If the tolerance is too big the attributes of a point might be attached to several polylines and the results might be undesired. Very useful when working with CAD data with label points.
  • COGO - initiates a Cogo session. If current theme is editable the COGO polyline will be added to the theme else a graphic shape will be drawn. See ET Cogo for details.


Clean Dialog

1206plclean.jpg (16829 bytes) NOTES:
  • In order to ensure that the attributes are updated appropriately go to THEME/PROPERTIES/EDITING and adjust the values in the Attribute Updating panel before performing any editing.
  • Use CTRL + Z to UNDO last edit

Self Intersect Check Control Panel allows the user to select Fast or Full (slow if many features in the current Theme) check for self intersection to be performed.

  • Intersect - performs intersection on the whole theme
    • Creates a node in each intersection between two polylines
    • Checks for self intersecting polylines
    • Analyses the resulting nodes
    • Cleans PseudoPseudo Nodes
  • Nodes Control Panel
    • Analyses the nodes and draws them on the View. User can control the analyses extent using the radio buttons and check box
      • dangling node red1.jpg (634 bytes)
      • pseudo node blue1.jpg (634 bytes)
      • regular (normal) node green1.jpg (634 bytes)
    • Radio buttons
      • "All" - analyses will be performed for the whole theme. If the theme is big (many records) it can be time consuming
      • "Visible" - analyses will be performed for the visible extent of the View. For polylines which are partially outside of the visible extent the nodes outside of this area will be incorrectly colored. If you zoom out or pan you must analyze again in order to draw the nodes with correct colors.
    • CheckBox - Switches regular nodes On/Off
  • Tolerance - Applies to cleaning Dangling nodes (overshoots or undershoots). Can be input in the text box or defined interactively using the tolerance tool (The value of the tolerance will be the diameter of the circle drawn by the user on the View).
  • Dangling nodes - Cleans all dangling nodes with the user specified tolerance
    • Overshoots - All the Polylines having a Dangling node with length less than the tolerance will be deleted
    • Undershoots - All the Polylines having a Dangling node and length larger than the tolerance will be processed. Any dangling node will be snapped to the closest node within the tolerance. If the distance from the dangling node to the closest Polyline is smaller than the tolerance, the Polyline will be extended to the intersection with the closest Polyline. The direction of the last(first) segment of the Polyline will be kept. Intersection (regular node will be formed)
  • Pseudo nodes - This process can be called dissolve. A list of all fields will be presented. The user have to select multiple dissolve fields or NONE if he does not want to use one. All the Pseudo nodes will be processed. If the two polylines joining in a Pseudo node have the same value for the dissolve field they will be merged. If option NONE is used all the polylines sharing common Pseudo Node will be merged no matter of attribute values.
  • Double lines - Removes duplicate lines from the theme.
    • Fast option - checks for polylines with the same Start and End nodes. If there are two other identical vertices the polylines are considered duplicates and one of them is removed. It is very good (and fast) for removing duplicate lines for polyline themes created from polygon themes
    • Full option - checks whether all the vertices of a polyline are within distance smaller than the Fuzzy tolerance from another polyline and if so the shorter of the two is removed.
  • Close rings - Checks (with user defined tolerance) and closes the polylines which should be closed
  • Close - Closes Clean Dialog. Returns to Main Dialog


Generalize

Generalize__Densify__Smooth_Flip Dialog:

15012001gdsf.jpg (12182 bytes) Select a function using the radio buttons in the function control panel

Generalize : Uses the Douglas-Peucker's algorithm for generalization of a Polyline

Densify: adds vertices to polylines at a user-specified tolerance.

Smooth: smooths polylines using the user-specified tolerance.

Flip: changes the direction of polylines

  • "What" control panel gives the user choice to specify what to process
    • "All" - all the polylines in the current theme will be processed
    • "Selected - only selected polylines will be processed
  • Grain Tolerance - user can specify the tolerance by:
    • Input in the text box
    • Interactively with the tolerance tool
  • Generalize ( Densify, Smooth, Flip ) button - triggers the process
  • OK - accept changes
  • Cancel -refuse changes


Adjust Dialog

Adjust Dialog - Not available with the version for ArcView 3.0

15012001adj.jpg (12657 bytes) Adjusts or rubber sheets a polylines from a theme in direction along the links from a link theme

For description of Edit Theme, Snap Theme and Link theme see Edge Match.

The procedure builds a TIN surface from the links in the link theme and interpolates the transformation vectors for each polyline vertex from the edit theme, then the vertices are transformed with the displacement vectors interpolated.

NOTES:

  • It is important the links to be spread systematically over the entire theme including along the outer edges.
  • The further away a coordinate is from a link, the less effect that link has on the coordinate’s adjustment.
  • In some cases Adjust function gives better results for Edge Matching than the EdgeMatch function

One of the major uses for ADJUST is to perform datum conversions. In this case the link theme can be imported from a table containing the coordinates of the control points

Before Adjust | After Adjust
15012001adjust_before.jpg (16273 bytes) | 15012001adjust_after.jpg (13790 bytes)


Edge Match Dialog

Edge Match Dialog - Not available with the version for ArcView 3.0

15012001em.jpg (18846 bytes)

15012001em_link_dg.jpg (14458 bytes)

Edgematching is done to ensure that features are aligned along the edges of adjoining shape files.

The Edgematching process uses three themes:
  • edit theme - the theme whose features will be adjusted
  • snap theme - a theme whose features are used as the control points for moving edit theme features.
  • link theme - a polyline theme that contains the links to be used for edge matching

15012001emex1.jpg (35243 bytes)

The link theme can be:

  • an existing in the current view polyline theme. The polylines should be a single segmented.
  • imported from a table. The table must have at least four numeric fields representing the X and Y coordinates of the START and END point of a LINK
  • Create button in the Link Theme control panel will create a new LINK theme and will introduce the Edit Link Theme dialog
  • Edit button in the Link Theme control panel will introduce the Edit Link Theme dialog

Edit Link Theme Dialog has three tools for editing a LINK theme

  • Generate Links Tool - the user draws a polygon including the edges of the EDIT and Snap themes. If a node from the EDIT theme is closer to a node from the SNAP theme than the specified tolerance a link is created connecting the two nodes.

15012001em_gen_links.jpg (13185 bytes)

  • Add Link Tool - the user draws a line (link) using selected snap method and tolerance
  • Delete Links Tool

Edge Matching Methods:

  • Snap: Moves the nodes from the EDIT theme associated with links to snap to the corresponding nodes from the SNAP theme
Before Edge Match | After Edge Match
15012001em_snap_before.jpg (12129 bytes) | 15012001em_snap_after.jpg (11702 bytes)
  • Adjust: Rubber sheets the position of polylines using the link theme
    • Only the vertices within user defined adjust area are moved
    • The influence area of the links is defined by a Thiessen polygons build from the Start point of the links
    • The vertices within the influence area of a link are moved in the direction of the displacement vector defined by the link
    • The length of the displacement vector for a vertex is defined by the distance from the vertex to the start point of the link. The bigger the distance, the smaller the displacement.
    • The user can specify the adjustment area using (preview available)
      • buffered Convex Hull polygon - defined from the start points of the links
      • buffered start points of the links

NOTE: In some cases using ADJUST function produces better results

Buffered Convex Hull | Buffered Points | Areas of influence
15012001em_buff.jpg (18357 bytes) | 15012001em_hull.jpg (18787 bytes) | 15012001em_influ.jpg (21771 bytes)
Before Edge Match | After Edge Match
15012001em_adj_before.jpg (22995 bytes) | 15012001em_adj_after.jpg (19792 bytes)


Polyline Edit Tools Dialog

15012001plet.jpg (29189 bytes)

NOTE:

In order to ensure that the attributes are updated appropriately go to THEME/PROPERTIES/EDITING and adjust the values in the Attribute Updating panel before performing any editing.

All the actions can be undone using CTRL+Z.

NEW: All the tools maintain topological relationship between the existing and the new or edited polylines. Due to many users requests version 3.6 allows some of the tools to be used without enforcing topology. If the Force Topology checkbox is selected the following tolls will maintain topological relationship.

  • Extend polyline
  • Extend two polylines to their intersection
  • Move node
  • Add polyline
  • Add polyline with attributes
  • Add polygon as polyline
  • Copy polylines from another theme
  • Local intersect
  • Offset a polyline
  • Create a centerline

If the Force Topology check box is not checked the above tools will not trigger the procedures creating topological relationships.

It is strongly recommended to maintain the topological relationships while editing. The default value of the Force Topology check box is checked

Main Tools

  • Snapping Control panel snap1.jpg (2590 bytes) ET provides it's own general snapping. It does not use ArcView's snapping. Using the list box a snap method can be selected. There are three methods available - Node, Vertex and Nearest. None will switch snapping off. Method for snapping to intersection is not provided assuming that in each intersection we have to have a Node. NOTE it is a general snapping only - if new line is added the snapping occurs only after adding the end node and all the vertices will be snapped using the current snapping method. Defining snapping distance is only interactively, using the snap tool.
  • Draw(Redraw) nodes button drawnod1.jpg (1467 bytes) Draws the nodes for the visible extent of the View. For polylines which are partially outside of the visible extent the nodes outside of this area will be incorrectly colored. If you zoom out,pan or edit something you must analyze again in order to draw the nodes with correct colors. If you want to get rid of the node graphics use CTRL+CLICK.
    NEW: If you keep the SHIFT key down while clicking on th button the regular nodes will not be displayed. In some cases this will help to identify the node errors.
  • Select Tool selectTool.jpg (1354 bytes) Looks and works the same way as ArcView's select tool with two differences:
    • CTRL+CLICK introduces Selection Method Dialog selselmet.jpg (4832 bytes). This is a Modal Dialog, the user selects selection method: Rectangle, Polygon, Circle or Polyline. This method becomes current and is used with several other tools.
    • When the selection method is of Polygon Type (Rectangle, Polygon, Circle) using CTRL+Select will select only the features which are entirely inside the selection shape. Without CTRL all the features intersected by selection shape will be selected.
  • Extend Tool extend1.jpg (1059 bytes) User draws a line from a Polyline he wishes to extend towards a boundary he wants the Polyline to be extended to. The first point of the selection line is used to select a Polyline to be extended. The length of the selection line defines how far the program will look for boundary. The Polyline will keep the direction (bearing) of the last (first) segment of the Polyline. The Polyline will be extended only to first met boundary. The boundary will be split from the extended Polyline. A Node will be created in the intersection point.
  • Extend Two Lines Tool extend2.jpg (1015 bytes) Extends two Polylines to their common intersection. Any polygon type selection method can be used. If the current selection method is Polyline Polygon will be used instead. The end nodes of the two Polylines to be extended should be inside selection Polygon. No other nodes should be inside the selection shape. If the extensions of the Polylines intersect any other features - nodes will be created in intersection points. If CTRL + CLICK is used during selection the polylines will not be extended, but the end nodes of the polylines will be linked with a new Polyline
  • Split tool split1.jpg (980 bytes) offers four methods for splitting a Polyline. CTRL+CLICK invokes the Select Split Method Dialog 1206splitinclosestvertex.jpg (5079 bytes) It works the same way as the Selection Method Dialog. The user selects a split method and it becomes current method. The four methods are:
    • Split in the selection point
    • Slit in all vertices
    • Split by user defined distance from the Polyline's start point. Use CTRL+Select to split by percentage from the start point (50% = split in the middle point of the polyline)
    • Split in equal intervals by user defined distance. NOTE: The length of the resulting polylines will not be necessary the exact distance user specified, but rather the closest distance with which the Polyline can be split into equal intervals. Use CTRL+Select to chose number of segments instead of a distance
    • Split in closest vertex.
  • Move Node Tool movenode.jpg (1009 bytes) . Works very similar to ArcView's Vertex Edit Tool. When the user moves Vertex the only difference is that if the reshaped Polyline intersects any other feature(s) Nodes are created in the intersection point(s). When a Node is moved all the Polylines linked to this Node are reshaped as well movenode2.jpg (5568 bytes) This is simple example before and after moving a Node, the green dot on the second picture indicates the previous position of the node. Use CTRL+Click to select snap theme. The default snap theme is the Current theme
  • Remove Redundant Nodes Tool getittogether.jpg (1029 bytes) User can make selection with any Polygon Type selection method. All the polylines inside selected shape are deleted, Nodes of all the polylines partially inside the selection shape are replaced by single node in the center of the shape formed by the inside nodes removered.jpg (4678 bytes) the example shows the state before applying the procedure together with the selection rectangle and the result. This tool can be used for removing any remaining PseudoPseudo Nodes as well as for manually removing Undershoots.
  • New Line Tool newline.jpg (1113 bytes) adds new Polyline to the theme.Creates nodes if intersects existing polylines. It's action might look similar to the standard ArcView Split Tool, but there are three differences:
    • adds line to the theme no matter if the line intersects existing polylines or not
    • creates intersections and cleans PseudoPseudo Nodes
    • if the new Polyline is self intersecting, nodes are created in the points of self intersection.

    Use CTRL+Click to select snap theme. The default snap theme is the Current theme

  • Add new polyline with attributes Tool 29102000newwithatt.jpg (1138 bytes) works as New Line Tool newline.jpg (1113 bytes), but the user is prompted to add attribute values for the new polyline.
  • Copy Feature From Theme copy fromtheme.jpg (1081 bytes) . Use CTRL+CLICK to select source theme. Select features from the source theme using any selection method and they will be copied to the current editable theme.If there are common fields and the source and target (current) the attributes will be copied as well. If the source theme is of Polygon type the selected polygon features are converted to polyline. Use SHIFT+Select to erase the features or portions of them within the selected polygons.
  • Polygon As Polyline Tool rectaspoly.jpg (1090 bytes) adds new Polyline to the theme. The type of the feature to be added(rectangle, circle or polygon) is defined by the type of the feature used for the selection. If the feature type is Polyline a Polygon will be added.
  • Erase With Polygon Tool 29102000erase.jpg (1067 bytes) erases the features(or parts of them) within user drawn polygon, circle or rectangle (defined by the type of the feature used for the selection). The attributes are updated according to the User defined split rules. NEW: In ET 3.6 this tool is moved to the seconf row of the Polyline Edit Tools dialog
  • Local Intersect Tool localint.jpg (1019 bytes) User selects features with any selection method if some of the selected Polyline intersects another Polyline without existing node (standard ArcView Draw Line tool has been used), a new node will be created in the intersection point. Since global intersect (see Clean Dialog) is time consuming especially with big coverages, this tool can be used to clean parts of the coverage. Checks for self intersecting polylines.
    NEW: Before version 3.6 the tool created intersections between the selected polylines and all the other polylines in the theme that have intersection point(s) with them. In version 3.6 if the Force Topology check box is unchecked, only the selected polylines will be interected.
  • Merge Selected Tool loalmerge.jpg (1065 bytes) It can be called Local Pseudo Node Clean.User can selects features using any Polygon Type selection method (If the selection method is Polyline, Polygon method will be applied). All Pseudo Nodes inside the selection shape will be cleaned (the pertaining Polyline will be merged). NOTE: No dissolve item will be asked for. Two polylines joined in a Pseudo Node will be merged no matter of their attributes.
  • Show Control Panel. showWhat.jpg (1854 bytes) Due to the large amount of tools the size of Edit Tools Dialog is quite big which sometimes is very inconvenient because it covers a big portion of the screen. The purpose of this control panel with a single button is to give the user a way to hide parts of the tools when not in use and free some screen space. The Edit Tools Dialog is divided in three rows. The top one contains the main tools (described above), the middle one contains mainly tools for attribute copying and pasting as well as some additional tools for feature editing (see bellow). The third row called status bar shows current tolerances and settings. The button controls which part of Edit Tools Dialog to be shown. The label of the button changes and specifies what will be shown at next click

Attribute Tools

  • Select Attribute Source attsource.jpg (1167 bytes) Using this button the User can select a theme from the current View from which he can copy attributes to the clipboard clipboard.jpg (3401 bytes) (the default is current theme). The next step is to select which fields will be used. The Select Field to Copy Button selFields.jpg (1049 bytes) helps the User to define from which fields of the source Feature table he would like to copy attribute values. It introduces a new dialog fields2copy.jpg (8510 bytes) which is populated with all available fields from the attribute source Ftab. By checking the check Boxes against desired fields the User selects the fields which values he wants to copy. Those fields are used by the Copy Attributes From Feature to Clipboard Tool pickatt.jpg (1114 bytes) to populate the Clipboard with the values of the feature he selects for the desired fields. The contents of the Clipboard can be pasted with Paste Attributes Tool pasteatt.jpg (1089 bytes) to a feature or Paste Attributes to Selected Button pasteAtt2Sel.jpg (1170 bytes) to all currently selected features. If some of the fields in the clipboard are not existing in the current theme's feature table they can be pasted with the Paste Fields Button pasteFields.jpg (1153 bytes). If the User wants to change some values in the Clipboard, he can do that using Edit Clipboard Values Button editValues.jpg (1085 bytes) which opens dialog for editing current clipboard values editvaluesdialog.jpg (12290 bytes) where he can input the values which he wants to pass. May be this looks a bit confusing, but it is logical (if you ask me).:
    1. Select Source Theme attsource.jpg (1167 bytes)
    2. Select fields to be copied selFields.jpg (1049 bytes)
    3. Click on a feature to Populate the Clipboard with it's attributes: pickatt.jpg (1114 bytes)
    4. Edit Clipboard Values (if needed) with editValues.jpg (1085 bytes)
    5. Paste the fields (if not existing) to the current theme's ftab: pasteFields.jpg (1153 bytes)
    6. Now click on a feature to paste Clipboard contents to: pasteatt.jpg (1089 bytes) or use pasteAtt2Sel.jpg (1170 bytes) to paste it to all selected features.

    Once steps 1.), 2.) and 5.) have been passed. It can be as easy as copy from feature pickatt.jpg (1114 bytes), paste to feature pasteatt.jpg (1089 bytes).

Additional Tools

They are situated on the second row (together with the attributes tools),but can be as useful as the ones from the top row:

  • Offset Tool offset.jpg (1040 bytes) CTRL+CLICK invokes the Offset Settings dialog 2103offset1.jpg (11049 bytes).The standard procedure uses the Avenue request "ReturnOffset". In some cases this request gives incorrect results but can be used when the polyline to be offset is comparatively straight. The enhanced procedure is slower than the standard one and works more like buffering. From the Smoothness control panel the user can define the smoothness of the offset line. If the smoothness is set to high the offset polyline will be smoother, but it is more time consuming. The selection line defines the Polyline to be offset and direction of the offset. The Polyline closest to the start point of the selection line will be offset in the direction of the end point of the selection line. The offset distance is stored in the status bar of Edit Tools Dialog. If the CTRL key is held down OFFSET - MOVE otherwise OFFSET - COPY.
  • Center Line Tool 29102000center.jpg (1070 bytes) CTRL+CLICK to define step size. SHIFT+CLICK to set a source theme. Creates center line of two polylines. If the source theme is set, using CTRL+SELECT the user can select two lines from another theme - their centerline is added to the current theme. Normal select creates centerline of two polylines from the current theme.The selection line defines the base Polyline for deriving the centerline. It is the Polyline closest to the start point of selection line. For best results the base line should be the Polyline with longer straight segments. The selection line length defines the search tolerance (Max distance between the two polylines where centerline will be created) for centerline creation. centerline1.jpg (4387 bytes) The black line in this example is a short selection line - shorter than the distance between the two Polylines in the middle- the centerline is missing in the middle part. For some applications this is the better approach. The same polylines with longer selection line will give the following result centerline2.jpg (5255 bytes) This Tool is very much dependant on users approach. The step size can influence the results very much as well. Do not give this tool impossible tasks!
  • Select and Generalize Tool generalizesel.jpg (1090 bytes) .Use CTRL+CLICK to specify Grain Tolerance. The User can use any Selection Method to select polylines to be generalized with the current Grain Tolerance
  • Select and Densify Tool densify.jpg (1009 bytes).Use CTRL+CLICK to specify Grain Tolerance. The User selects with point a Polyline to be densified. Vertices are added along the Polyline at the Grain Tolerance
  • Select and Spline Tool spline.jpg (994 bytes) Use CTRL+CLICK to specify Grain Tolerance. The User selects with point a Polyline to be splined. The Polyline is smoothed with current Grain Tolerance
  • Flip Polyline Tool flip.jpg (1041 bytes) flips selected by point Polyline.

Status Bar

Situated on the third row of the Edit Tools Dialog. Keeps the values of the different tolerances, selection method, attribute source theme,and feature source theme.


TheConceptOfPolygonEditing

Polygon Editing

The Concept:

ArcView allows overlapping polygon features which leads in many cases to "dirty" data sets.

EditTools introduces new concept for adding new features to a Polygon theme which keeps the theme clean from overlaps. Before any editing operation (digitizing new feature, coping polygon from another theme, reshaping existing polygon) the user defines the PRIORITY of the new (edited) feature and in this way how this feature will interact with the adjacent polygons.

Example:

Source | Adding new polygon
wpe40.jpg (3060 bytes) | wpe41.jpg (3412 bytes)

The result of adding the new polygon with the different priorities:

Priority "-1" | Priority "0" - LOW | Priority "1" - STANDARD | Priority "2" -HIGH
wpe46.jpg (3093 bytes) | wpe48.jpg (3358 bytes) | wpe49.jpg (3602 bytes) | wpe4A.jpg (3369 bytes)
Cuts holes in the existing polygons. | Creates polygon(s) only where there is no existing polygons present. | Creates intersections where the new polygon intersects existing one. The intersection polygons carry the attributes of the existing ones. | The entire new polygon is added to the theme. All the intersections with existing polygons are removed.

Using the appropriate PRIORITY the user can achieve the desired result with keeping the polygon theme clean of overlaps or clean an existing theme. NO SNAPPING needed.


ET Polygon

4032001ETPolygon.jpg (18783 bytes) ET Polygon dialog is used for all the global(applied to the whole theme) functions.

Edit Theme control panel shows the View of the currently edited theme, the value of the Fuzzy Tolerance and contains three buttons:

  • Current Theme Button - Sets the theme to be edited. The label of this Button shows the name of current theme
  • Fuzzy Tolerance Button - Although not as important as when editing Polyline theme this tolerance is used here as well. See ET Polyline for adjusting Fuzzy Tolerance
  • Minimize/Maximize button is provided to allow the user to free some screen space when the global functions are not in use.

Start Editing Button - toggles editing the Current Theme

Save Button - Saves the edits

Save As Button - Saves the Current Theme as new theme. The new theme becomes Current

Show Edit Tools Button - toggles Polygon Edit Tools Dialog

Split with Polygon - User selects a split theme. The selected features of the split theme are used to split the features of the current edit theme. The attributes are updated according user defined attribute split rules

COGO - initiates a COGO session. If current theme is editable the COGO polygon will be added to the theme else a graphic shape will be drawn. See ET Cogo for details.

Create Label Points - creates a Point theme. Each polygon from the Current theme is represented by one an only one point situated spatially inside the polygon. All the attributes from the current theme are transferred to the label point theme

Attributes from points - Transfer attributes from a point theme to the current theme. If there are more than one point inside certain polygon no attributes are transferred.


Clean Button

Clean Button - triggers the clean process.

  • Checks for multipart polygons and if found explodes them.
  • Checks for corrupted polygons (sometimes inherited from CAD drawings) and if found fixes the problems.
  • Creates new theme ( user prompted for location)
  • All the existing overlaps will be stored as separate polygons and will not carry attributes except for "AREA" and "PERIMETER" if these fields are available.
Example: | Before CLEAN | After CLEAN
The polygons are labeled with an attribute value. The brown polygons after CLEAN do not carry attributes | wpe4D.jpg (3801 bytes) | wpe4E.jpg (3993 bytes)


Eliminate Button

Eliminate Button: Opens Eliminate Dialog

14082000Eliminate.jpg (13272 bytes) Select using: Control Panel gives two choices for selecting the polygons to be eliminated:
  • Thickness Ratio - is expressed as a ratio of the part's area versus area of its minimal bounding square.
  • Circularity - another way for identifying skinny polygons. For a circle the circularity will be 1. The thinner the polygon is the smaller the circularity will be
  • Logical Expression - the standard Expression builder issued for selection

Eliminate method Control Panel has two choices for eliminating the selected polygons

  • Delete - will delete all selected polygons (considered slivers)
  • Join (area) - will join selected polygons with neighboring polygons that have the largest area
  • Join (border) - will join selected polygons with neighboring polygons with the longest common border

Select Button - triggers the chosen selection procedure

Eliminate Button - starts the elimination process using the selected elimination method

Discussion:

  • Both selection methods can produce good results. If for example before cleaning you set an attribute of 1 for each polygon in your theme (e.g. [check] = 1). After cleaning all the overlaps will have check = 0. Then you can use logical expression (e.g. [check] = 0) to select all the overlap polygons created from the clean procedure and eliminate. Very useful expression can be [area] < "nn" where "nn" represents insignificant area.
  • "Delete" method for elimination is not recommended because it will create gaps between your polygons. The gaps can be cleaned using clean gaps procedure, but still "Join" is the better choice.
  • In ArcView 3.2 a new request- "SetSliverResolution" was introduced, but it uses only thickness ratio and if used deletes the sliver polygons which leaves gaps in the data.
Example: | After Selection "[ID] = 0" | After Eliminate
wpe4E.jpg (3993 bytes) | elim1.jpg (5754 bytes) | elim2.jpg (5285 bytes)


Clean Gaps button

Clean Gaps button - starts a procedure which identifies the gaps between polygons and then introduces the Clean Gaps Dialog

gapsdlg.jpg (13181 bytes) Gaps Statistics Control panel gives
  • number of gaps found
  • Min & Max area of the gaps
  • Min & Max thickness of the gaps

Clean Control Panel gives three choices for the method of cleaning gaps:

  • All - all gaps will be cleaned
  • Thickness Ratio - user can select which gaps to clean using Thickness Ratio
  • Area - the gaps with smaller than user specified area will be cleaned

Clean Gaps button joins the gaps to the neighboring polygons that have the largest area

Example:

Before Clean Gaps | After Clean Gaps
gaps2.jpg (3356 bytes) | gaps1.jpg (3528 bytes)


Dissolve button

Dissolve button: Merges adjacent polygons which have the same value for one or more specified fields.

Notes:

  • Many dissolve fields can be used
  • Only ADJACENT polygons are dissolved

Example:

Before Dissolve - 4 polygons | After Dissolve with ET - 3 Polygons | Results from GeoProcessing Wizard - 2 Polygons (1 multipart)
dis1.jpg (4792 bytes) | dis2.jpg (4597 bytes) | dis3.jpg (5024 bytes)


Advanced Merge button

Advanced Merge button: User selects a theme to be merged to the currently edited theme. Introduces Advanced Merge Dialog.

merge.jpg (7945 bytes) The polygons from the selected theme will be added to the edited theme using user specified PRIORITY.

The PRIORITY can be constant or various - from user defined field in the selected theme attribute table.

  • The Priority field must be Integer
  • The values in the Priority field must be set between -1 and 2. All the values greater than 2 will be considered 2 and those smaller than -1 will be considered -1.
  • The result is a clean (no overlaps, no multipart polygons) theme.


Polygon Edit Tools

1206pgEditTools.jpg (30126 bytes)

NOTE:

All the actions can be undone using CTRL+Z.

Main Tools

Priority Control Panel prio1.jpg (2202 bytes) - Before adding new polygon or editing an existing one the user must specify the PRIORITY of this feature.

Select Tool selectTool.jpg (1354 bytes) - see description here

Add Shape Tool addshape.jpg (705 bytes) - adds new shape to the current theme. Use CTRL + Click to select shape type from 1206shapetodraw.jpg (6444 bytes) the available shape types are:

  • polygon - draw
  • rectangle - drag (hold CTRL key to draw a Square with side equal to the shortest side of the rectangle dragged)
  • circle - drag
  • rectangle - lower left corner, width, height, rotation angle
  • circle - center point, radius
  • ellipse - center, axis1, axis2, rotation angle. Note: Not available with the version for ArcView 3.0

Add Donut Tool don1.jpg (705 bytes) - adds new donut to the current theme. Use CTRL + Click to select shape type from 1206donuttype.jpg (5592 bytes) the available donut types are:

  • rectangle - drag + donut width (hold CTRL key to draw a Square with side equal to the shortest side of the rectangle dragged)
  • circle - drag + donut width
  • rectangle - lower left corner, width, height, rotation angle, donut width
  • circle - center point, radius, donut width
  • ellipse - center, axis1, axis2, donut width, rotation angle. Note: Not available with the version for ArcView 3.0

Fill Holes Tool holes.jpg (754 bytes) - the user selects polygons using the current selection method, the holes if present in the selected polygons are cleaned. Use CTRL+Select to convert the holes into new polygons

Reshape Tool reshape.jpg (679 bytes) - the user draws a polygon, the start point should be in the polygon to be reshaped. Only two values for priority available for this function - "0" and "2". If the priority is set to "-1" it goes automatically to "0" and if "1" - to "2"

Example:

Before Reshape. The reshape polygon and it's start point shown on the image. | After Reshape with priority of "0". Ideal for filling gaps. | After Reshape with priority of "2"
resh1.jpg (4897 bytes) | resh2.jpg (2786 bytes) | resh3.jpg (3011 bytes)

Buffer Polygon Tool buf0.jpg (699 bytes) buffers single polygon selected by point

Example:

Before buffer | Priority = -1 | Priority = 0 | Priority = 1 | Priority = 2
buf1.jpg (3635 bytes) | buf2.jpg (3926 bytes) | buf3.jpg (5111 bytes) | buf4.jpg (5206 bytes) | buf5.jpg (5281 bytes)

Explode Tool explode.jpg (693 bytes) Explodes selected multipart polygons

Merge Tool join.jpg (680 bytes) User selects with a line two adjacent polygons. The polygon that contains the start point of the selection line is merged with the one containing the end point. The attributes of the second polygon are kept.

Local Dissolve Tool locdis1.jpg (793 bytes) User selects a single polygon by point. All the adjacent polygons with the same value in the selected dissolve fields are merged to the selected polygon.

Copy From Theme Tool copy1.jpg (732 bytes) Use SHIFT +Click to select source theme. Use current selection method for selection. The selected polygons are added to the Current theme using current PRIORITY.

Draw Line Buffer Tool drawlinebuf.jpg (717 bytes) Use CTRL+Click to define buffer distance. User draws a Polyline which is added to the current theme using current PRIORITY

Copy Line (Point) Buffer copylinebuf.jpg (735 bytes) Use CTRL+Click to define buffer distance.Use SHIFT +Click to select source polyline or point theme. Current selection method is used. Buffers selected features from the source theme and adds the buffer polygons to the Current theme using current PRIORITY.

Select polylines from a theme and split Tool 1206splitbypolyline.jpg (1041 bytes) Use SHIFT +Click to select source polyline theme. Select polylines to split with. Only polylines connected via pseudo node will be used for splitting. Adjust attributes split rules before this procedure.

Show Control Panel showWhat.jpg (1854 bytes) See description here

Attribute Tools - See description here

Additional Tools

They are situated on the second row (together with the attributes tools),but can be as useful as the ones from the top row:

Draw Advanced Buffer Tool drawadv.jpg (758 bytes) and Copy Advanced Buffer Tool copyadv.jpg (764 bytes) work as Draw Line Buffer Tool and Copy Line Buffer Tool. The difference is they allow more complex buffers to be created:

  • various buffer distance - user defines start and end buffer distance (linear interpolation in between)
  • buffering with or without caps
  • one side buffers - user defines left or right side of the line (direction taken into account)
  • various combinations from the above
advbufdlg.jpg (15440 bytes) CTRL+Click (on both tools) invokes Advanced Buffer Dialog which allows the user to specify the type of buffer and the buffer distance

Examples:

examp1.jpg (7956 bytes)

Gaps Control Panel gapstools.jpg (1763 bytes) contains two buttons. The first identifies the gaps in the Current theme and fills the gaps list. The second one zooms to each gap in the gaps list and the user can clean it manually using Polygon Reshape Tool. If some of the gaps can not be cleaned with the automatic procedure, or the user wants to inspect the gaps this buttons can be used.


ET Cogo

Allows the user to build traverses adding straight or curved courses using numerous parameters

1206cogostart.jpg (13892 bytes) ET Cogo Dialog
  • Define TakeOff point by:
    • X & Y
    • Interactively
      • Start or End point of the selected feature
      • Closest vertex of the selected feature
      • Freehand
  • Set Start Point button locates and assigns takeoff point for a traverse
  • Traverse button opens traverse dialog
  • Quit - ends the COGO session
14082000Traverse.jpg (20115 bytes) ET Traverse Dialog

Current location Control Panel shows the coordinates of the last point of the traverse

Next course , Curve Direction and Course parameters Control panels allow the user to define the geometry of the next course.

The following combinations are possible:

  • Straight
    • Distance & Bearing
    • X & Y
    • dX & dY
    • use the GetBearing tool to get the bearing from a feature from the active theme
    • use +90 or -90 buttons to increase (decrease) the bearing with 90 degrees.
    • the two features above allow adding courses parallel or perpendicular to existing features from the active theme
  • Fillet - Distance,Bearing & Fillet radius
  • Tangent curve (left or right to the previous course)
    • Chord length & Delta
    • Chord length & Radius
    • Chord length & Arc
    • Arc length & Radius
    • Arc length & Delta
    • Radius & Delta
  • Non tangent curve (left or right to the previous course)
    • Chord length, Chord Bearing & Radius
    • Chord length, Chord Bearing & Arc length
    • Chord length, Chord Bearing & Delta

Note: A traverse can not start with Fillet or Tangent curve

Add Course button adds a course with the predefined parameters to the traverse

Undo - removes the last course of the traverse (multiple undo supported)

Close Traverse - closes current traverse

END button - if current theme is editable - adds the traverse as a feature in the theme otherwise creates a graphic shape in the view.

1206cogotraverse.jpg (22196 bytes)
1206cogoazimuth.jpg (9275 bytes) By default the bearing is entered as Decimal Degrees - (45.2375).

Hold the CONTROL key and click on the Bearing Text Line to introduce ET Azimuth dialog which allows the bearing to be entered as an Azimuth ((N 45 23 00 E). The direction is defined by the selected radio button.


ET Surface

ET Surface - Not available with the version for ArcView 3.0

4032001ETSurface.jpg (7915 bytes)

4032001ETSurfaceAnalysis.jpg (12370 bytes)

TIN's legend Classified by:

MIN Elevation
4032001SElev.jpg (8122 bytes)
Slope
4032001SSlope.jpg (20366 bytes)
Aspect
4032001SAspect.jpg (24353 bytes)
4032001SAspectLeg.jpg (10879 bytes)
Hillshade
4032001SHill.jpg (13028 bytes)
MIN Elevation illuminated with Hillshade values
4032001SIluminated.jpg (12586 bytes)
Build TIN - TIN (Triangulated Irregular Network) is a set of contiguous, non-overlapping, triangles representing a surface. The procedure triangulates a set of points (Point or Polyline theme ) using Delaunay triangulation. The Delaunay triangulation of a set of points in the plane is a set of triangles connecting the points satisfying an "empty circle" property: the circumcircle of each triangle does not contain any of the points. Free (no restrictions in the DEMO version)

NOTES:

  • See TIN notes for more information about Triangulated Irregular Network (TIN)
  • The free Profile Extractor 6.0 for ArcView can be used to extract profile for virtually any shape from an ET TIN

The procedure involves

  1. Collects the points from a point theme (vertices) if the source is a polyline theme
  2. Cleans duplicate points
  3. Creates the TIN structure
  4. If the 3D polygon option is selected – the elevations from the source theme are transferred to the vertices of the 3D polygons ( triangles)

Notes:

  • To achieve best results when creating TIN from Polyline theme use Generalize or Densify in order to remove unnecessary points or add points to the long straight segments

Points Elevation - extracts the elevation of the points in a point theme from 3D Polygon theme - TIN created with the Build TIN procedure. Free (no restrictions in the DEMO version)

Create 3D Shapefile - extracts the elevations of the vertices of the features of a Polyline or Polygon theme and creates respectively PolylineZ or PolygonZ shapefile.Free (no restrictions in the DEMO version)

3D Analysis:

  • Analyze - derives MIN and MAX Elevation, Slope, Aspect, Hillshade and Mean Elevation for all the triangles in the selected TIN theme. Calculates statistics for the TIN. Check the appropriate Check Box to get the desired results. The results are stored in the polygon attribute table and can be used for classifying the TIN theme
    • Slope - identifies the slope, or maximum rate of elevation change for each triangle
    • Aspect - the values of the output field represent the compass direction of the aspect; 0 is true north, a 90 degree aspect is to the east etc. For flat triangles (slope = 0) the value of -1 is assigned for the aspect
    • Hillshade - computes the brightness of each triangle based on a light source location. The user is requested to input:
      • azimuth - the azimuth angle of the light source. The azimuth is expressed in positive degrees from 0 to 360, measured clockwise from the north. The default is 315 degrees.
      • altitude - the altitude angle of the light source above the horizon. The altitude is expressed in positive degrees, with 0 degrees at the horizon and 90 degrees directly overhead. The default is 45 degrees.
  • Illuminate - applies brightness values to the TIN theme. For best results in displaying the TIN:
    1. Apply Graduated Color legend using MIN or MAX Elevation fields
    2. Illuminate faces using the Hillshade field as brightness theme
  • Show statistics - displays a dialog with surface statistics:
    • Min Elevation
    • Max Elevation
    • Mean Elevation
    • Min Slope
    • Max Slope
  • Interpolate contours - converts the TIN to a theme containing contours or isolines. The user is requested to input:
    • Base value - the contour from which to begin generation of contours.
    • Contour interval - Z value difference between adjacent contours in map units.


ET Geoprocessing

ET Geoprocessing: All these functions are free (no restrictions in the DEMO version)

3004etgeo.jpg (13088 bytes)

bufdlg1.jpg (7573 bytes)

Transfer attributes:

Source

4032001TSource.jpg (3301 bytes)

Target

4032001TTarget.jpg (2027 bytes)

Overlay

4032001TTransfer.jpg (4601 bytes)

Point Distance from a polyline theme

4032001PointDistance.jpg (7029 bytes)

Reverse Geocode

3004revgeo.jpg (20108 bytes)

Buffer Theme - User selects a theme to be buffered. Introduces Buffer Theme Dialog. The selected theme is buffered (if there is a selection only selected features are buffered ) with user specified constant buffer distance or the value from specified field. New buffer theme is created

Clip - The user selects theme to be clipped (polygon, polyline, point) and a polygon theme to clip with. Only selected features of the clip theme are used. The attributes are transferred according user defined attribute split rules. New theme is created

Batch Clip - The user selects themes to be clipped (polygon, polyline, point), directory to store clipped themes and a polygon theme to clip with. Only selected features of the clip theme are used. The attributes are transferred according user defined attribute split rules. The clipped themes will be named after the source themes.

Erase with polygon - The user selects theme to be erased (polygon, polyline, point) and a polygon theme to erase with. Only selected features of the erase theme are used. The attributes are transferred according user defined attribute split rules. New theme is created

Batch Erase - The user selects themes to be erased (polygon, polyline, point), directory to store resulting themes and a polygon theme to erase with. Only selected features of the erase theme are used. The attributes are transferred according user defined attribute split rules. The resulting themes will be named after the source themes.

Attributes from Polygon - The user selects target theme (polygon, polyline, point), source polygon theme, fields to copy and spatial relation (inside, center inside, intersect). For best result on polyline and polygon themes split first with the source polygon theme.

Transfer attributes from - The user selects Target theme, Source theme, Fields to be transferred and transfer method depending on the type of the attribute

  • count (sum proportion) - census data

count = count_A * area_a / area_A + count_B * area_b / area_B

  • value (weighted average) - rainfall etc.

value = value_A * area_a / (area_a + area_b) + value_B * area_b / (area_a + area_b)

  • type (majority) - soil type etc

area_a / (area_a + area_b) > area_b / (area_a + area_b) ==> type_A

area_b / (area_a + area_b) > area_a / (area_a + area_b) ==> type_B

Point Distance - Calculates the distance from a point theme to another theme. The results are stored in a field added to the point theme's attribute table. If the source and target theme is the same - the result will be the distance from each point to the closest neighboring point from the same theme.

Reverse Geocode - The user selects a polyline source theme and a point target theme. Introduces ET Reverse Geocode dialog.

The Type control panel allows to select an option for reverse geocoding:

  • General: allows a single attribute to be transferred from the polyline theme to the point theme. This attribute might be used as a link for copying more attributes from the polyline theme to the point theme. A single combo box will be available in the fields control panel for selection of a field to be used
  • Address (Double range): Calculates the address of a point from a street theme with Double range address (US Address) information. The fields control panel will contain five combo boxes allowing the user to chose Street Name, Left_Fom, Left_To, Right_From and Right_To fields. The street name will be transferred from the closest to each point street segment and the address value will be interpolated from the four address fields (taking into account the on which side of the street segment is the point). The user have to specify a search tolerance. The value of the tolerance is very important. The bigger the tolerance is the slower the calculations will be (for each point more street segment will be processed in order to find the closest one). If the tolerance is too small (no street segments closer than the tolerance to a point) no attributes will be transferred for this point.
  • Address (Single range): Calculates the address of a point from a street theme with Single range address information. The fields control panel will contain three combo boxes allowing the user to chose Street Name, From and To fields. The street name will be transferred from the closest to each point street segment and the address value will be interpolated from the two address field

NOTE: In order to avoid certain problems the address fields should be NUMERIC fields. If your address fields are from type STRING, you will have to create new address fields and calculate the address values from the original ones: [LF] = [L_F_ADD].AsNumber . Before calculating you will have to ensure that there are no values containing non numeric characters ( 31b, 24a etc.) or an empty string.

Example:

3004revgeo_ex.jpg (9233 bytes)

NEW:

Measure Points - The function requires a PolylineM(Z) shapefile and a Point shapefile. The measures from the polylines will be transferred to the points from the point theme. The user needs to input:

  • A Link Field - a field from the PolylineM(Z) attribute table that will be transferred to the point attribute table and which values will indicate the polyline that a certain point has taken the measures from.
  • A Search Tolerance - only the points that a closer than this tolerance to a polyline from the source theme will receive measures.


ET Convert

ET Convert: All these functions are free (no restrictions in the DEMO version)

4032001ETConvert.jpg (18751 bytes) Polygon To Polyline - Introduces a List Box with the available in the current View Polygon Themes. Selected theme is converted to a Polyline theme.
  • The Polyline theme created will be dirty.
    • No intersections will be created
    • Common boundaries will be represented by double lines
    • Pseudo nodes will be present
  • The best order for cleaning the theme is (See Clean Dialog):
    • Intersect
    • Clean double lines
    • Clean pseudo nodes (with NONE option)
  • The Polygon's attributes can be kept in a Point theme.
    • A label point will be created in each polygon
    • This Point theme can be used when building a polygon theme after editing the Polyline theme.

Polygon To Point - Converts Polygon theme to Point theme. Unique ID is assigned to the all the points.The ID is a character representing the polygon and the part of the polygon to which the point pertains.For example a point with a value in the ET_ID field of "34_4" pertains to the second part of the polygon 34. Using this ID allows the points to be converted back to polygons, taking into consideration the holes and the island polygons. Each point is assigned a position along the pertaining line.

PolygonM(Z) To Point - The same as Polygon To Point but keeps the M ( Z ) values in an attribute. Not available for ArcView 3.0

Polyline To Point - Converts polyline theme to point theme. All the vertices of the polylines are converted to points. An unique ID is assigned to the points that allows for easy conversion back to polylines. Each point is assigned a position along the pertaining line. Note: If you want the angle of the polyline in each vertex to be added to the point attribute table use the Polyline To Point function on the ET Polyline dialog with Vertex option

Polyline To Center Point - Converts polyline theme to point theme. Each polyline is represented by its middle point. Note: If you want the angle of the polyline in the middle point to be added to the point attribute table use the Polyline To Point function on the ET Polyline dialog with Middle Point option

PolylineM(Z) To Point - The same as Polyline To Point but keeps the M ( Z ) values in an attribute. Not available for ArcView 3.0

Point To Polygon - Converts Point theme to Polygon theme. The user have to select an ID field which value defines the points to be used for creation of each polygon. An "order" field can be used to define the sequence in which the points define the polygon. If "order" field is not selected the sequence of digitizing of the points will be used. Note: The function does not check for overlaps and gaps in the created polygon - Use Clean Polygon and Clean Gaps function to ensure correct topology.

Point To Polyline - Converts Point theme to Polyline theme. The user have to select an ID field which value defines the points to be used for creation of each polyline. An "order" field can be used to define the sequence in which the points define the polyline. If "order" field is not selected the sequence of digitizing of the points will be used. Note: The function does not check for intersections. To create topologically correct data set use the functions on the Clean Dialog (Intersect, Clean Dangle ...)

Point To PolygonM(Z) - The same as Point To Polygon, but creates PolygonM(Z) theme. The user have to select a M (Z) field from the point theme's attribute table. Not available for ArcView 3.0

Point To PolylineM(Z) - The same as Point To Polyline, but creates PolylineM(Z) theme. The user have to select a M (Z) field from the point theme's attribute table. Not available for ArcView 3.0

Point To PointM(Z) - Creates PointM(Z) theme. The user have to select a M (Z) field from the point theme's attribute table. Not available for ArcView 3.0

PointM(Z) To Point - Creates Point theme. Keeps the M ( Z ) values in an attribute. Not available for ArcView 3.0

ShapeM(Z) To Shape - Converts M(Z) theme (point, polygon,polyline) to plain point ,polygon, polyline theme. Not available for ArcView 3.0


ET Miscellaneous

ET Miscellaneous: All these functions are free (no restrictions in the DEMO version)

3004misc.jpg (13131 bytes)

29102000rotate.jpg (17355 bytes)

CONVEX HULL
TIN
THIESSEN POLYGON

EXAMPLE

1. Point collection

15012001th_points.jpg (3955 bytes)

2. Convex Hull

15012001th_hull.jpg (6649 bytes)

3. TIN

15012001th_tin.jpg (10854 bytes)

4. Perpendicular bisectors

15012001th_tin_th.jpg (12138 bytes)

5. Thiessen polygons

15012001th_th.jpg (9425 bytes)

6. Dissolved areas

15012001th_th_dis.jpg (7750 bytes)

Move Shapes - Moves (Translates) theme with user defined origin and destination points. The Dialog allows input of the Origin and Destination points, snapping them to features of the active theme or input of dX and dY values. Only selected features are moved (if no selection the procedure is applied to all features)

Rotate Shapes - Rotates a theme (applied to selected features) around user specified rotation point.

Explode - Converts Multi-Part features to Single- part. The attributes are transferred according user defined rules

Quick Clean - Cleans themes from NULL features. If the theme is of Polygon type cleans the "Leaking" polygons. Cleans Polygons and Polylines from duplicate vertices that cause problems using some Avenue requests (SelectByPolygon, Intersects, ReturnIntersection etc.) and Select By Theme ArcView function.

Point Grid - Creates grid of points by user defined extent, type of grid

  • Square
  • Rectangle
  • Triangle

and distance between points

Convex hull - Convex hull is a polygonal area that is of smallest length and so that any pair of points within the area have the line segment between them contained entirely inside the area. Defining the convex Hull of a set of points is useful, for example in the case of enclosing the points, using a fence of shortest total length.

  1. Collects the points from a point theme (vertices) if the source is a polyline theme
  2. Clean duplicate points
  3. The user can chose to create multiple convex hull polygons (a field in theme’s attribute table required). Note: The polygons might overlap.
  4. Creates the Convex Hull polygon(s)

Thiessen Polygons - Thiessen (Voronoi) polygons define individual areas of influence around each of a set of points. Thiessen polygons are polygons whose boundaries define the area that is closest to each point relative to all other points. They are mathematically defined by the perpendicular bisectors of the lines between all points

Examples of use:

  • Defining trade areas
  • From a set of soil sampling points to define non overlapping polygons for each soil type

The procedure involves:

  1. Collects the points from a point theme (vertices if the source is a polyline theme)
  2. Clean duplicate points
  3. Generate Convex Hull
  4. Creates a TIN structure
  5. Generates perpendicular bisectors for each tin edge.
  6. Builds the Thiessen polygons theme
  7. Uses the convex hull as external boundary. The user has an option to buffer the convex hull polygon
  8. Attaches points attributes to the Thiessen polygons
  9. The user has an option to dissolve adjacent Thiessen polygons.

Notes:

  • To achieve best results when creating Thiessen Polygons from Polyline theme use Generalize or Densify (before running Thiessen Polygons procedure) in order to remove unnecessary points or add points to the long straight segments

Bivariate Legend

Applies brightness value from a field of the themes attribute table. The theme's legend must be Graduated Color type. The best option is if the brightness field represents percentage (population growth, etc,). The values from the brightness field are spread between the user defined min and max brightness and applied to the current legend classification.

Draw Vector Grid

Introduces ET Draw Grid dialog. Identifies the view units and projection. Draws a grid with user specified interval in the view units. The extents of the grid might be typed in or calculated from the current view extent. The interval might be different in X an Y directions. The grid is drawn initially as graphic polylines, but when desired grid is drawn the graphics can be converted to a polyline shape file. The X and Y values are stored in a field in the theme's attribute table. The function will work in projected views, but the better option is to draw the grid in an unprojected view ==> create polyline theme ==> and then project it or copy it in a projected view.

3004grid.jpg (27083 bytes)

NEW:

  • Gives the user a choice on the output Grid.
    • Polyline grid
    • Polygon grid
  • The polygon grid option exports a Label field that contains the index of each cell starting from "0-0" for the lower left corner cell.


Dictionary

  • Fuzzy Tolerance:

This is an extremely small distance insignificant for the precision of your theme. It represents the minimum distance between Nodes. ET uses the Fuzzy Tolerance to clean the theme and to keep the Polyline topology. If nodes are found closer to each other than the Fuzzy Tolerance they are moved to form one node. All the features with length smaller than this tolerance are considered redundant. The default tolerance is 0.000001 * (W + H ) / 2: where W is the width and H is the Height of the the extent of the editing theme. If the editing theme has extents 1km/1km the default tolerance will be 1mm. The MIN tolerance the user can set is 0.000000001* (W + H ) / 2. The MAX tolerance can be 0.00001* (W + H ) / 2.
The smaller the value of Fuzzy Tolerance is, the bigger is the possibility of encountering PseudoPseudo Nodes. If the value of the tolerance is close to the MAX value some undesirable result might occur.

  • PseudoPseudo Node

ARC/INFO uses Fuzzy Tolerance for many procedures - Clean, Intersect etc., but it has not been implemented in ArcView. If you use ArcView standard split tool to split a Polyline and then analyze the nodes (you can use ET, ET-Demo or any other script or extension which does that) in many cases you will see picture like this: ppnodes1.jpg (9034 bytes). The definition of Pseudo node is "Pseudo nodes occur where a single line connects with itself or where only two Polylines intersect.". Why then we have here Pseudo nodes where four Polylines intersect? The answer is in the next picture. If you zoom in enough you will see something similar to this: ppnodes2.jpg (1705 bytes) Actually the four arcs do not intersect in one point. In fact two of them do not intersect at all. The distance between the two Pseudo nodes in my example is 4.58286*E-13. OK ArcView does not have problem with the lack of actual intersection. If you use Network Analyst to find the best route it will find it like this: ppnodes3.jpg (3304 bytes). This does not harm at all because the distance difference is almost nothing. However if you want to perform some cleaning exercise on your data it can cost you a LOT.

This phenomenon (most probably caused by ArcView's single precision numbers and the lack of Fuzzy Tolerance) I called PseudoPseudo Nodes and this is the term I'm using in ET. If you are sometimes frustrated from the speed of cleaning procedure, know that half of it is because of PseudoPseudo Nodes.

  • Dangling node - normally refers to unconnected node of a dangling Polyline dangle.jpg (851 bytes) indicated in ET with a red dot.
    • overshoot - over1.jpg (1098 bytes)
    • undershoot - under.jpg (1080 bytes)
  • Pseudo node - Pseudo nodes occur where a single line connects with itself or where only two Polylines intersect pseudo1.jpg (793 bytes) indicated in ET with a blue dot.
  • PseudoPseudo node - what is this animal?
  • Fuzzy Tolerance
  • Clean Polyline theme - a theme with correct topology
    • each intersection between two lines must be represented with a single node
    • no double lines present
    • no overshoots and undershoots present
  • Generalization - The process of removing the number of vertices required to represent a Polyline
  • Grain Tolerance - controls the distance between the vertices in a Polyline. Used with Generalize, Densify,Spline
  • Projected Views - EditTools works with DATA(shapefiles) in any projection. It will not work with themes in projected VIEWS. There is a big difference between projected DATA and projected VIEW. If your VIEW is projected it projects your data on the fly from decimal degrees (Geographic Projection) to the projection set in the View's properties. It does not change your data, only the representation of the data on the screen. If your data is in decimal degrees and your VIEW is projected then you just have to open your data in different (unprojected) view and edit it there.If your DATA is projected then you can use EditTools without any problems at all


IMPORTANT NOTES

  • ET does not work with projected views. The theme to be edited shall be in an unprojected View. Since there have been many questions about this, please read some explanations here.
  • The View's map units must be assigned before using ET
  • If the View units are Decimal Degrees (Geographic "Projection") ET will give a Warning Message. Decimal Degrees are units for measuring angles not distances and are not suitable for performing cleaning and editing. The best thing to do is to project the theme in some real Projection (You can use Projector! extension) and then proceed with the editing. You can still edit a theme in Decimal Degrees but it is NOT RECOMMENDED !!!!.
  • Since for editing polygon themes the overlay functions are extensively used it is recommended ArcView 3.1 or 3.2 to be used. See Oregon Department of Forestry page for ArcView bugs that affect spatial overlay.
  • EditTools 3.5 comes in three different versions:
    • For ArcView 3.2 and above
    • For ArcView 3.1 - minor differences with the version for ArcView 3.2
    • For ArcView 3.0 - all the functions dealing with shapesZ(M) are not available. Draw ellipse and ellipse donut tools are not available.

    Please select the version that is appropriate for your ArcView installation